Debian etch to lenny

and other offical x86 platforms like e-boxes and fitPC

Moderator: Mattk

Post Reply
Periklast
Junior Boarder
Junior Boarder
Posts: 34
Joined: Sun Apr 26, 2009 9:14 am

Debian etch to lenny

Post by Periklast » Wed Jan 05, 2011 2:50 pm

Is it possible to upgrade the current debian etch distribution to debian lenny without problems with meteohub?
When trying to install some programs (like fuse for 1-wire), we have to update the repositories (apt-get update). But debian etch is outdated en the repositories don't exists anymore.

User avatar
YJB
Platinum Boarder
Platinum Boarder
Posts: 387
Joined: Thu Feb 19, 2009 5:53 pm
Location: Venhuizen, Netherlands
Contact:

Re: Debian etch to lenny

Post by YJB » Thu Jan 06, 2011 10:41 am

Hi,

I've double checked with Boris, and this is not possible at this moment. (Actually, if you try it, you will most likely run out of filesystem space as well)

The upgrade form etch to Lenny is in the pipeline for a future release (Sheeva is already running Lenny), but it's a tremendous effort, since the x86 release covers multiple platforms (Alix Ebox, VMware etc).

xor
Fresh Boarder
Fresh Boarder
Posts: 9
Joined: Sat Jan 08, 2011 11:49 pm
Location: russia, rostov-on-don
Contact:

Re: Debian etch to lenny

Post by xor » Sun Jan 09, 2011 4:57 pm

upgrade etch to lenny (x86 platform)

update is not difficult but requires extra space
to download the update, let it be a usb flash.

customizable keyboard for your convenience:
# kbd-config

see how the system sees our additional usb flash
# fdisk-l
Disk / dev / sda: 8024 MB, 8024752128 bytes
OK, the disk is seen as sda, continue ...

packs are loaded into the / var / cache / apt / archives
assemble this kaktalog additional disk space:
# mount / dev/sda1 / var / cache / apt / archives
it will create a folder to download the packages:
# mkdir / var / cache / apt / archives / partial

Now otredaktirum file package sources:
# nano / etc / apt / sources.list
change everything etch to lenny
(You can add or change the repository)

try to upgrade:
# aptitude update

get an error> NO_PUBKEY 9AA38DCD55BE302B

add a key:
# gpg - keyserver wwwkeys.eu.pgp.net - recv-keys 9AA38DCD55BE302B
# apt-key add / root / .gnupg / pubring.gpg

Conduct a preliminary update:
# aptitude update
Next install packages for Lenny update:
# aptitude install dpkg aptitude apt
Make a minimal upgrade:
# aptitude upgrade
If all goes well, then do a full update:
# aptitude full-upgrade
umount our flash
# umount / var / cache / apt / archives
Reboot:
# reboot
And check the version
$ cat / etc / debian_version
5.0.7

xjuri
Fresh Boarder
Fresh Boarder
Posts: 1
Joined: Wed Dec 18, 2013 10:42 pm

Re: Debian etch to lenny

Post by xjuri » Wed Dec 18, 2013 11:03 pm

Hello,
I have followed all the instructions "upgrade etch to lenny (x86 platform)".
The upgrade was completelly succesfull. Great description.
The system is now 5.0.10.

meteohub:~# cat /etc/debian_version
5.0.10

However it did not help. Wifi functionality is still not available even after system upgrade.

meteohub:~# lspci
00:0c.0 Ethernet controller: Atheros Communications Inc. AR5413 802.11abg NIC (rev 01)

It is strange. Could you help me please. Any idea or advice?

Thank you.

xor
Fresh Boarder
Fresh Boarder
Posts: 9
Joined: Sat Jan 08, 2011 11:49 pm
Location: russia, rostov-on-don
Contact:

Re: Debian etch to lenny

Post by xor » Sun Dec 29, 2013 8:08 pm

I do not remember the size of the new kernel, you may have to delete the old one.
do not forget about the folder / var / cache / apt /, it must be on a different drive.
system disk is very small


upgrade kernel 3.8.13-voyage

nano /etc/apt/sources.list
deb http://www.voyage.hk/dists/experimental ./
deb http://www.voyage.hk/dists/unstable ./
deb http://www.voyage.hk/dists/0.9 ./

wget http://www.voyage.hk/dists/experimental/archive.key -O - | apt-key add -
aptitude update
aptitude install linux-image-3.8.13-voyage

upd
I tried to install the new kernel on the old system, the script worked with two errors in /boot /grub/menu.lst and not created initrd.img
after installing a new kernel before reboot fix /boot /grub/menu.lst

title Debian GNU / Linux, kernel 3.8.13-voyage
root (hd0, 0)
kernel /boot/vmlinuz-3.8.13-voyage root = /dev/hda1 ro quiet
initrd /boot/initrd.img-3.8.13-voyage

and copy the initrd.img-3.8.13-voyage in the folder /boot
http://yadi.sk/d/lYZGcPFSFK2ud

Georgecamp
Fresh Boarder
Fresh Boarder
Posts: 1
Joined: Fri Sep 12, 2014 2:33 pm

Re: Debian etch to lenny

Post by Georgecamp » Fri Sep 12, 2014 2:37 pm

Periklast wrote:Is it possible to upgrade the current debian etch distribution to debian lenny without problems with meteohub?
When trying to install some programs (like fuse for 1-wire), we have to update the repositories (apt-get update). But debian etch is outdated en the repositories don't exists anymore.
We've two times checked out along with Boris, along with this is not achievable at this moment. (Actually, when you try it out, a person will most likely run out regarding filesystem space seeing that well)Your upgrade style etch to help Lenny is this pipeline to get a future release (Sheeva has already been jogging Lenny), however it is a great attempt, because the x86 release handles multiple platforms (Alix Ebox, VMware etc).
We are the pioneers in providing mybraindumps.net and Metropolitan College of New York exams with 100% exam pass guarantee. Download our latest Intel and University of California, San Francisco or pass real exam of Youtube.

Post Reply